JobSub - Feature #7344

jobsub_rm/hold/release mass remove functionality
11/19/2014 11:06 AM - Nathan Mayer

Status: Closed Start date: 11/19/2014
Priority: High Due date:

Assignee: Dennis Box % Done: 0%
Category: Estimated time: 0.00 hour
Target version: vi.1.5 Spent time: 0.00 hour
Stakeholders:

Description

jobsub_rm needs the ability to remove all of the users jobs like condor_rm <user>. It would also be nice if it had a cluster remove
option, instead of just a single comma separated list of jobids. This makes it very hard for individual users to mass remove jobs.

History

#1 - 12/19/2014 12:44 PM - Parag Mhashilkar
- Assignee set to Parag Mhashilkar

- Target version set to v1.1.1

#2 - 12/30/2014 03:28 PM - Dominick Rocco

There are actually a lot of things that are supported by condor_rm which are not possible with jobsub_rm. The possibilities of the --constraint
argument were almost endless, although the syntax and possible constraints was never esspeically well documented. Adding a --constraint flag to
jobsub_rm would be an acceptable solution. An even nicer solution would be to wrap up some of the common use cases into flags for jobsub_rm.
For instance, it would be nice if you could have a --held flag to remove held jobs, or use something like "--status H".

As an added bonus, it would be great if anything that worked for jobsub_rm also worked for jobsub_qg.

#3 - 01/27/2015 09:57 AM - Matthew Toups

| also need the jobsub_rm <user> functionality for my work.

#4 - 02/05/2015 06:04 PM - Parag Mhashilkar
Also requested by Sea Quest RITM0165788

#5 - 02/27/2015 10:26 AM - Parag Mhashilkar

- Target version changed from v1.1.1 tov1.1.2

#6 - 04/24/2015 09:48 AM - Philip Rodrigues

This needs to be a much higher priority: this functionality is part of a normal workflow for all users, and without it, using jobsub_client is painful.
Additionally, we're now being notified of held jobs by the production operators, and being asked to remove them, which is much harder without this
functionality.

#7 - 04/24/2015 10:01 AM - Christopher Backhouse
The best one can do right now is something like for k in “jobsub_q --user=$USER | grep " | sed s/gov.*/gov/"; do echo $k; jobsub_rm --jobid=$k;

done@ which is a complete pain to figure out and type in, and extremely slow to execute. We've had multiple users ask this question, and this is all
we can tell them.

#8 - 04/24/2015 10:01 AM - Christopher Backhouse

Formatting got mangled:

jobsub_g --user=$USER | grep '@' | sed s/gov.*/gov/'; do echo $k; jobsub_rm --jobid=$k; done

#9 - 05/11/2015 01:52 PM - Parag Mhashilkar

- Target version changed from v1.1.2 to v1.1.3

#10 - 05/19/2015 10:26 AM - Parag Mhashilkar
- Subject changed from jobsub_rm mass remove functionality to jobsub_rm/hold/release mass remove functionality

#11 - 06/08/2015 04:40 PM - Parag Mhashilkar

- Target version changed from v1.1.3 to v1.1.4

#12 - 06/12/2015 02:11 PM - Parag Mhashilkar

- Assignee changed from Parag Mhashilkar to Dennis Box

#13 - 06/15/2015 04:17 PM - Dennis Box

- Target version changed from v1.1.4 to v1.1.5

#14 - 06/30/2015 10:45 AM - Joe Boyd
Another user in INC000000565328 is expecting to be able to remove all the jobs in a cluster.

#15 - 06/30/2015 12:16 PM - Arthur Kreymer

As noted in INC000000565328 2015/06/30
a full cluster can be manipulated with a single command,
by omitting the process from the jobid :

jobsub_rm --jobid=2488031@fifebatch2.fnal.gov

Missing only the full-user list and other advanced options.

#16 - 07/15/2015 10:31 AM - Philip Rodrigues

Please implement this feature. | am currently wasting my time and my collaborators' time trying to find the exact bash incantation to do this. This was
functionality that existed in the old system, which is needed by all users, and is essentially straightforward (and certainly more straightforward than
having everyone at the lab fight with bash every time they need to do this). | really don't understand why this has not been done yet, and it's extremely
frustrating.

#17 - 07/15/2015 10:43 AM - Parag Mhashilkar
Hi Philip,
Issues are addressed based on their relative priorities wrt to other tasks that are on our plate. Issues like this that have alternate means to address

the problem are usually lower than issues that do not have alternate solutions. Said that we understand the need for this feature and will be tackled
appropriately in one of the future versions.

#18 - 07/15/2015 04:24 PM - Christopher Backhouse

Can we see the list of jobsub priorities? | suspect the experiments would prefer to reorder that list.

#19 - 07/16/2015 08:35 AM - Philip Rodrigues

The workaround is problematic for a few reasons. For one thing, it depends on screen-scraping the output of jobsub_q, so it's going to break
whenever you change that output. For another, it uses a complex string of bash commands that most of my users are not able to debug.

The common result of this workaround (it happened just yesterday) is that a user asks me how to do this, | spend some time digging around in my
email to find the command, send it to them (praying that no one's email client mangles it and that they copy-paste it just so), find it didn't work
because | got the wrong version or something changed, have to go back and forth with various guesses until we find an incantation that works. This
results in me and other minerva analyzers spending a lot of time that we really shouldn't have to doing something that should be simple, which hurts
our ability to do physics.

#20 - 07/16/2015 08:54 AM - Parag Mhashilkar

Christopher Backhouse wrote:

Can we see the list of jobsub priorities? | suspect the experiments would prefer to reorder that list.

For the list of tickets associated with each release, you can look at the custom queries on the right side column of this page.

#21 - 07/21/2015 11:12 AM - Dennis Box
- Priority changed from Normal to High

#22 - 07/23/2015 01:00 PM - Dennis Box
- Status changed from New to Feedback

- Assignee changed from Dennis Box to Parag Mhashilkar
please see branch 7344

#23 - 08/04/2015 02:16 PM - Parag Mhashilkar

- Assignee changed from Parag Mhashilkar to Dennis Box

We talked about this. In summary we should use a different api rather than overloading the jobs api.

#24 - 08/11/2015 10:15 AM - Dennis Box
- Status changed from Feedback to Closed
